﻿import request from '/@/utils/request';
enum Api {
  AddWcsOderTask = '/api/wcsOderTask/add',
  DeleteWcsOderTask = '/api/wcsOderTask/delete',
  UpdateWcsOderTask = '/api/wcsOderTask/update',
  PageWcsOderTask = '/api/wcsOderTask/page',
  DetailWcsOderTask = '/api/wcsOderTask/detail',

  GetGroupSkuList = '/api/WcsBoxInfo/GroupSkuList',
}

// 增加分拣任务
export const addWcsOderTask = (params?: any) =>
	request({
		url: Api.AddWcsOderTask,
		method: 'post',
		data: params,
	});

// 删除分拣任务
export const deleteWcsOderTask = (params?: any) => 
	request({
			url: Api.DeleteWcsOderTask,
			method: 'post',
			data: params,
		});

// 编辑分拣任务
export const updateWcsOderTask = (params?: any) => 
	request({
			url: Api.UpdateWcsOderTask,
			method: 'post',
			data: params,
		});

// 分页查询分拣任务
export const pageWcsOderTask = (params?: any) => 
	request({
			url: Api.PageWcsOderTask,
			method: 'post',
			data: params,
		});

// 详情分拣任务
export const detailWcsOderTask = (id: any) => 
	request({
			url: Api.DetailWcsOderTask,
			method: 'get',
			data: { id },
		});

// 分页查询分拣任务
export const GetGroupSkuList = () => 
	request({
			url: Api.GetGroupSkuList,
			method: 'get',
		});


